Initiate chunked upload
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: chunkedUploadRequest
The ID of the chunked upload.
Note: This property is ignored in requests, and overridden with an auto-generated value in responses.
A base64-encoded representation of the content that is used to upload the file.
Maximum size: 50 MB. However, data is also subject to REST API limits regarding request sizes, and Internet Information Systems (IIS) might place further constraints on file size.
Response
A 64-byte, Secure Hash Algorithm 256 (SHA256) checksum that the caller computes across the entirety of the original content that has been uploaded to the chunked upload. Docusign compares this value to its own computation. If the two values are not equal, the original content and received content are not the same and the commit action is refused.
When true, the chunked upload has been committed. A committed chunked upload can no longer receive any additional parts and is ready for use within other API requests.
The UTC time at which the chunked upload expires and is no longer addressable.
Note: You must fully upload and use a chunked upload within 20 minutes of initializing it.
The total size of the parts of the chunked upload.
Note: When a chunked upload is used as an envelope document, it is subject to the PDF size limit (25 MB) and page count limit that apply to all envelope documents.